<template>
  <div>
    <el-button type="primary" @click="testWrite">Primary</el-button>
    <div id="terminal">
      
    </div>
  </div>
</template>

<script>
import { Terminal } from 'xterm';
import { FitAddon } from 'xterm-addon-fit';
import { WebLinksAddon } from 'xterm-addon-web-links';

const terminal = new Terminal();
const fitAddon = new FitAddon();
const webLinksAddon = new WebLinksAddon();

terminal.loadAddon(fitAddon);
terminal.loadAddon(webLinksAddon);

terminal.open(document.getElementById('terminal'));
terminal.write('Hello from \x1B[1;3;31mxterm.js\x1B[0m $ Test https://www.google.com/ wow')
terminal.onData(data => terminal.write(data))
fitAddon.fit();

export default {
  methods: {
    testWrite() {
      terminal.write('\r\nUhoh')
    }
  },
  data () {
    return {
      chrome: process.versions.chrome,
      electron: process.versions.electron,
      node: process.versions.node,
      platform: require('os').platform(),
      vue: require('vue/package.json').version,
      nuxt: require('nuxt/package.json').version
    }
  }
}
</script>

<style scoped>

</style>
